unit uControllingTaskPane;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Excel2000, adxxlFormsManager, StdCtrls, ExtCtrls;

type
  TControllingTaskPane = class(TadxExcelTaskPane)
    RadioGroup1: TRadioGroup;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
  private
    { Private declarations }
  protected
    { Protected declarations }
  public
    { Public declarations }
    procedure ApplyActiveTaskPane(TaskPane: TadxExcelTaskPane);
  published
    { Published declarations }
  end;

{NOTE: The adxExcelTaskPane1 variable is intended for the exclusive use
       by the TadxExcelTaskPanesCollectionItem Designer.
       NEVER use this variable for other purposes.}
var
  ControllingTaskPane : TControllingTaskPane;

implementation

uses Unit1, Unit2, SeveralAETPD7_IMPL;

{$R *.DFM}

{ TControllingTaskPane }

procedure TControllingTaskPane.ApplyActiveTaskPane(
  TaskPane: TadxExcelTaskPane);
begin
  radioButton1.Checked := TaskPane is TadxExcelTaskPane1;
  radioButton2.Checked := TaskPane is TadxExcelTaskPane2;
end;

procedure TControllingTaskPane.RadioButton1Click(Sender: TObject);
begin
  (AddinModule as TAddinModule).ActivateADXExcelTaskPane1();
end;

procedure TControllingTaskPane.RadioButton2Click(Sender: TObject);
begin
  (AddinModule as TAddinModule).ActivateADXExcelTaskPane2();
end;

initialization
  RegisterClass(TPersistentClass(TControllingTaskPane));

finalization
end.
